Bug 740259 - Wrong detection of git folders with rabbitvcs-thunar
Summary: Wrong detection of git folders with rabbitvcs-thunar
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitvcs
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Juan Manuel Rodriguez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 13:18 UTC by Fabien Archambault
Modified: 2011-10-02 22:58 UTC (History)
1 user (show)

Fixed In Version: rabbitvcs-0.14.2.1-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 18:52:07 UTC


Attachments (Terms of Use)

Description Fabien Archambault 2011-09-21 13:18:04 UTC
Description of problem: The options of rabbitvcs for thunar are not available when on a git folder. When on a not git folder the options are available.


Version-Release number of selected component (if applicable): rabbitvcs-thunar-0.14.2.1-2.fc15.i686


How reproducible: Always


Steps to Reproduce:
1. Clone any git folder.
2. For example : cd ~ ; git clone https://github.com/xianyi/OpenBLAS.git
3. In Thunar right click on the folder OpenBLAS
4. No options for rabbitvcs are available
5. Right click on a folder such as Documents you will see the options.

Additional info: For a svn folder it works well.

Comment 1 Juan Manuel Rodriguez 2011-09-21 15:02:21 UTC
I filed the bug upstream: http://code.google.com/p/rabbitvcs/issues/detail?id=593

Will update the packages when a fix is available.

Comment 2 Juan Manuel Rodriguez 2011-09-21 15:12:01 UTC
Hey Fabien, apparently it's all my fault. You can get a quick-fix by installing python-dulwich, but I'm updating the Fedora RPM to require it anyway. 

Thanks for filing the bug!

Comment 3 Fabien Archambault 2011-09-21 15:16:45 UTC
Hi Juan, thanks for the quick fix. It works!
I was going to subscribe to the bug within the google code page but it is not needed.

Thanks!

Comment 4 Juan Manuel Rodriguez 2011-09-21 15:51:06 UTC
I created an rpm called rabbitvcs-git which handles the dependency. I'm strongly considering removing it and integrating it into core, to prevent this type of situation from happening again. 

Python-dulwich is only ~200kb, so I don't think it's a huge burden on machines to install it along with rabbitvcs-core.

Comment 5 Fedora Update System 2011-09-21 16:18:13 UTC
rabbitvcs-0.14.2.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rabbitvcs-0.14.2.1-3.fc15

Comment 6 Fedora Update System 2011-09-21 16:28:46 UTC
rabbitvcs-0.14.2.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rabbitvcs-0.14.2.1-3.fc16

Comment 7 Fedora Update System 2011-09-21 22:12:55 UTC
Package rabbitvcs-0.14.2.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rabbitvcs-0.14.2.1-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rabbitvcs-0.14.2.1-3.fc16
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-09-30 18:52:02 UTC
rabbitvcs-0.14.2.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-02 22:58:15 UTC
rabbitvcs-0.14.2.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.